#ifndef _HARK__BEAMFORMING__GHDSS_H__INCLUDED_
#define _HARK__BEAMFORMING__GHDSS_H__INCLUDED_ 1

#include "BF_GSS.h"

namespace BF
{
    class GHDSS : public GSS
    {
    public:
	GHDSS(int numFreq, int samplingRate, double soundSpeed, bool muAdp, double mu, bool mu_ssAdp, double mu_ss, double scale, NlFuncType nlFuncType);
	
    public:
	virtual BfType getBfAlgorithmType() const { return BfGHDSS; }

    };
}

#endif
